> For the complete documentation index, see [llms.txt](https://docs.finrax.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finrax.com/references/currencies-and-fees/get-exchange-rates-crypto-to-fiat.md).

# Get exchange rates \[crypto to fiat]

## Fetch deposit rates

> Fetch the deposit rates for all specified crypto to settlement or display currency pair.

```json
{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://api.finrax.com","description":"Generated server url"}],"paths":{"/v1/exchange/rates/deposit":{"get":{"summary":"Fetch deposit rates","description":"Fetch the deposit rates for all specified crypto to settlement or display currency pair.","operationId":"fetch-deposit-rates","parameters":[{"name":"fromCurrency","in":"query","description":"The comma-separated base crypto currencies used to produce the currency pairs.","required":true,"explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["BCH","BNB","BTC","ETH","LINK","LTC","SOL","TRX","USDC","XLM","XRP"]}}},{"name":"toCurrency","in":"query","description":"The comma-separated quote settlement or display currencies used to produce the currency pairs.","required":true,"explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string","anyOf":[{"type":"string","enum":["AED","ARS","AUD","BDT","BGN","BRL","CAD","CHF","CLP","CNY","CZK","DKK","EUR","GBP","HKD","HRK","HUF","IDR","ILS","INR","ISK","JPY","KES","KRW","MXN","MYR","NOK","NZD","PEN","PHP","PLN","QAR","RON","SEK","SGD","THB","TRY","USD","VND","ZAR"]},{"type":"string","enum":["BTC","USDC"]}]}}}],"responses":{"200":{"description":"Returns the available rates for the requested currency pairs.","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"string"}}}}}}}}}}}
```

#### Response example

{% tabs %}
{% tab title="200 <https://payments.finrax.com/api/v1/exchange/rates/deposit?fromCurrency=BTC,ETH,XRP&toCurrency=EUR,USD>" %}

```javascript
{
	"ETH": {
		"EUR": "1467.8",
		"USD": "1741.1"
	},
	"BTC": {
		"EUR": "42798",
		"USD": "50770"
	},
	"XRP": {
		"EUR": "0.40227",
		"USD": "0.4772"
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finrax.com/references/currencies-and-fees/get-exchange-rates-crypto-to-fiat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
